/******************************************************************************
 * $Id: gfx_texture.hh,v 1.19 2006/05/01 02:20:47 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Texture class.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 ******************************************************************************/

#ifndef GFX_TEXTURE_HH
#define GFX_TEXTURE_HH 1

//------------------------------------------------------------------------------
namespace gfx {

// 2D texture coordinate.
struct TexCoord2
{
	fp	x;
	fp	y;
};

// 3D texture coordinate.
struct TexCoord3
{
	fp	x;
	fp	y;
	fp	z;
};

} // namespace gfx
//------------------------------------------------------------------------------

#if GFXSYS_OPENGL
#	include "gfx_texture_opengl.hh"
#else
#	error
#endif

#endif // GFX_TEXTURE_HH
