/*****************************************************************************
 * $Id: test.hh,v 1.2 2006/07/04 23:38:33 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 *//*
 * LEGAL:	COPYRIGHT (C) 2005 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef TEST_HH
#define TEST_HH

// Don't tell Bjarne ;-)  (g++ 2.9 has problem with friends of template classes)
#define private public

#undef DEBUG
#define DEBUG  1
#include "gfx.hh"
using namespace gfx;

bool
PrintFail( int line )
{
	cerr << "FAILED at line=" << line << endl;
	return false;
}
// __LINE__ is apparently an int, not a string.
#define Fail() return PrintFail( __LINE__ )

#endif // TEST_HH
