/*****************************************************************************
 * $Id: game_defs.hh,v 1.4 2005/06/21 20:07:39 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See game.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GAME_DEFS_HH
#define GAME_DEFS_HH 1

//------------------------------------------------
// Which game module to compile.
#define GAME_MODULE		(GAME_MODULE_PONY)
//------------------------------------------------

// Game module enumerations.
#define GAME_MODULE_PONY		1
#define GAME_MODULE_BLUE_ZAXX	2

#if GAME_MODULE == GAME_MODULE_PONY
class GamePony;
#	define GAME_CLASS		GamePony
#	include "game_pony_defs.hh"
#else
#	error
#endif

#endif // GAME_DEFS_HH
