/*****************************************************************************
 * $Id: meta_eng.hh,v 1.1 2005/06/21 20:17:10 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See game.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef META_ENG
#define META_ENG 1

#include "game_defs.hh"		// defines GAME_MODULE etc

// Engine includes meta_eng.hh (without knowing where it's at).
#if GAME_MODULE == GAME_MODULE_PONY
#	include "game_pony_defs_eng.hh"
#else
#	error
#endif

#endif // META_ENG
